### Method

# Gdk Paintableget_intrinsic_width

#### Declaration [src]

    int
    gdk_paintable_get_intrinsic_width (
      GdkPaintable* paintable
    )

#### Description [src]

Gets the preferred width the `paintable` would like to be displayed at.

Consumers of this interface can use this to reserve enough space to draw the paintable.

This is a purely informational value and does not in any way limit the values that may be passed to `gdk_paintable_snapshot()`.

If the `paintable` does not have a preferred width, it returns 0. Negative values are never returned.

#### Return value

Type: `int`

The intrinsic width of `paintable` or 0 if none.